Bug 1730927

Summary: Gnome Software unable to download updates
Product: [Fedora] Fedora Reporter: Dima Ryazanov <dima>
Component: gnome-softwareAssignee: Milan Crha <mcrha>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 32CC: ehabkost, fede, gnome-sig, jan.public, katherineave, klember, mcatanza, mrunge, rhughes, swachira, truls
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-05-03 07:31:47 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
Screenshot none

Description Dima Ryazanov 2019-07-17 22:06:28 UTC
Created attachment 1591602 [details]
Screenshot

When I try to download updates, I consistently get an error message:

"""
Unable to download updates:
could not do untrusted question as no klass support
"""

Refreshing the updates doesn't change anything.

When I run "sudo dnf update", I see:

"""
RPM Fusion for Fedora 30 - Free - Updates                                                                                                                                                        1.6 MB/s | 1.7 kB     00:00    
Importing GPG key 0xC0AEDA6E:
 Userid     : "RPM Fusion free repository for Fedora (30) <rpmfusion-buildsys.org>"
 Fingerprint: 80C3 B2C6 E727 F3E0 92B4 73E0 3DF2 CE43 C0AE DA6E
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-free-fedora-30
Is this ok [y/N]: 
"""

I'm guessing that's the cause of the error. However, if that's the case, Gnome Software needs to handle it somehow.

Comment 1 Dima Ryazanov 2019-11-12 00:36:25 UTC
Still a problem in Fedora 31.

Comment 2 Dima Ryazanov 2020-02-05 01:34:48 UTC
Seeing this again. Also found a forum thread about it: https://forums.fedoraforum.org/showthread.php?322093-Unable-to-download-updates-could-not-do-untrusted-question-as-no-klass-support

Comment 3 Slavic 2020-02-08 12:11:26 UTC
I have filed a similar report for Fedora 31. Should we updated the version here and mark mine as duplicate?

Comment 4 Ben Cotton 2020-04-30 20:27:59 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2020-05-26 14:37:25 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Eduardo Habkost 2020-07-07 16:06:09 UTC
Still reproducible on Fedora 32.

logs show the following:

Jul 07 12:04:02 PackageKit[387190]: get-updates transaction /2760_abbadecd from uid 1000 finished with success after 142ms
Jul 07 12:04:02 PackageKit[387190]: new update-packages transaction /2761_adbeacae scheduled from uid 1000
Jul 07 12:04:02 PackageKit[387190]: update-packages transaction /2761_adbeacae from uid 1000 finished with need-untrusted after 84ms

Comment 7 Federico Bruni 2020-07-27 19:24:27 UTC
Upstream issue:
https://gitlab.gnome.org/GNOME/gnome-software/-/issues/793

Comment 8 Sam Wachira 2020-11-09 20:39:11 UTC
Still a problem on Fedora 32. Trying to download Fedora 33 through gnome-software app fails with the same error.

Comment 9 Sam Wachira 2020-11-09 20:45:08 UTC
Check each non-Fedora .repo file in /etc/yum.repos.d which has 'gpgcheck=0' and set it 'enabled=0'.
Worked for me but would be nice to have a permanent solution.

Comment 10 Fedora Admin user for bugzilla script actions 2021-04-29 12:18:17 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 11 Fedora Program Management 2021-04-29 16:59:34 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Truls Asheim 2021-05-02 15:26:21 UTC
Gnome software has been useless to me for the past 5 years of using Fedora because of this error. Currently I'm getting it when trying to upgrade from 33 to 34.

Comment 13 Milan Crha 2021-05-03 07:31:47 UTC
This won't change magically. The upstream bug [1] is still unfixed. As this is not Fedora specific, let's close this in favour of the [1]. (The above linked upstream bug had been marked as a duplicate of the [1].)

If I'm not mistaken, a workaround is to confirm download from the affected repositories from a command line.

[1] https://gitlab.gnome.org/GNOME/gnome-software/-/issues/603